package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "FLATFILE"
)
public class FLATFILE {
   @XmlAttribute(
      name = "FILENAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String filename;
   @XmlAttribute(
      name = "FILETYPE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String filetype;
   @XmlAttribute(
      name = "DELIMITED"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String delimited;
   @XmlAttribute(
      name = "DELIMITERS"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String delimiters;
   @XmlAttribute(
      name = "ROWDELIMITER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String rowdelimiter;
   @XmlAttribute(
      name = "DELIMITERS_IN_BINARY"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String delimitersinbinary;
   @XmlAttribute(
      name = "QUOTE_CHARACTER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String quotecharacter;
   @XmlAttribute(
      name = "NULL_CHARACTER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String nullcharacter;
   @XmlAttribute(
      name = "NULLCHARTYPE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String nullchartype;
   @XmlAttribute(
      name = "STAGEFILEREINIT"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String stagefilereinit;
   @XmlAttribute(
      name = "STAGEFILEPERSIST"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String stagefilepersist;
   @XmlAttribute(
      name = "REPEATABLE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String repeatable;
   @XmlAttribute(
      name = "CONSECDELIMITERSASONE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String consecdelimitersasone;
   @XmlAttribute(
      name = "MULTIDELIMITERSASAND"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String multidelimitersasand;
   @XmlAttribute(
      name = "STRIPTRAILINGBLANKS"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String striptrailingblanks;
   @XmlAttribute(
      name = "PADBYTES"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String padbytes;
   @XmlAttribute(
      name = "SKIPLEADINGBYTES"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String skipleadingbytes;
   @XmlAttribute(
      name = "SKIPTRAILINGBYTES"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String skiptrailingbytes;
   @XmlAttribute(
      name = "LINESEQUENTIAL"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String linesequential;
   @XmlAttribute(
      name = "KEEPESCAPECHAR"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String keepescapechar;
   @XmlAttribute(
      name = "SHIFTSENSITIVEDATA"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String shiftsensitivedata;
   @XmlAttribute(
      name = "ESCAPE_CHARACTER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String escapecharacter;
   @XmlAttribute(
      name = "SKIPROWS"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String skiprows;
   @XmlAttribute(
      name = "CODEPAGE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String codepage;

   public String getFILENAME() {
      return this.filename;
   }

   public void setFILENAME(String value) {
      this.filename = value;
   }

   public String getFILETYPE() {
      return this.filetype;
   }

   public void setFILETYPE(String value) {
      this.filetype = value;
   }

   public String getDELIMITED() {
      return this.delimited;
   }

   public void setDELIMITED(String value) {
      this.delimited = value;
   }

   public String getDELIMITERS() {
      return this.delimiters;
   }

   public void setDELIMITERS(String value) {
      this.delimiters = value;
   }

   public String getROWDELIMITER() {
      return this.rowdelimiter;
   }

   public void setROWDELIMITER(String value) {
      this.rowdelimiter = value;
   }

   public String getDELIMITERSINBINARY() {
      return this.delimitersinbinary;
   }

   public void setDELIMITERSINBINARY(String value) {
      this.delimitersinbinary = value;
   }

   public String getQUOTECHARACTER() {
      return this.quotecharacter;
   }

   public void setQUOTECHARACTER(String value) {
      this.quotecharacter = value;
   }

   public String getNULLCHARACTER() {
      return this.nullcharacter;
   }

   public void setNULLCHARACTER(String value) {
      this.nullcharacter = value;
   }

   public String getNULLCHARTYPE() {
      return this.nullchartype;
   }

   public void setNULLCHARTYPE(String value) {
      this.nullchartype = value;
   }

   public String getSTAGEFILEREINIT() {
      return this.stagefilereinit;
   }

   public void setSTAGEFILEREINIT(String value) {
      this.stagefilereinit = value;
   }

   public String getSTAGEFILEPERSIST() {
      return this.stagefilepersist;
   }

   public void setSTAGEFILEPERSIST(String value) {
      this.stagefilepersist = value;
   }

   public String getREPEATABLE() {
      return this.repeatable;
   }

   public void setREPEATABLE(String value) {
      this.repeatable = value;
   }

   public String getCONSECDELIMITERSASONE() {
      return this.consecdelimitersasone;
   }

   public void setCONSECDELIMITERSASONE(String value) {
      this.consecdelimitersasone = value;
   }

   public String getMULTIDELIMITERSASAND() {
      return this.multidelimitersasand;
   }

   public void setMULTIDELIMITERSASAND(String value) {
      this.multidelimitersasand = value;
   }

   public String getSTRIPTRAILINGBLANKS() {
      return this.striptrailingblanks;
   }

   public void setSTRIPTRAILINGBLANKS(String value) {
      this.striptrailingblanks = value;
   }

   public String getPADBYTES() {
      return this.padbytes;
   }

   public void setPADBYTES(String value) {
      this.padbytes = value;
   }

   public String getSKIPLEADINGBYTES() {
      return this.skipleadingbytes;
   }

   public void setSKIPLEADINGBYTES(String value) {
      this.skipleadingbytes = value;
   }

   public String getSKIPTRAILINGBYTES() {
      return this.skiptrailingbytes;
   }

   public void setSKIPTRAILINGBYTES(String value) {
      this.skiptrailingbytes = value;
   }

   public String getLINESEQUENTIAL() {
      return this.linesequential;
   }

   public void setLINESEQUENTIAL(String value) {
      this.linesequential = value;
   }

   public String getKEEPESCAPECHAR() {
      return this.keepescapechar;
   }

   public void setKEEPESCAPECHAR(String value) {
      this.keepescapechar = value;
   }

   public String getSHIFTSENSITIVEDATA() {
      return this.shiftsensitivedata;
   }

   public void setSHIFTSENSITIVEDATA(String value) {
      this.shiftsensitivedata = value;
   }

   public String getESCAPECHARACTER() {
      return this.escapecharacter;
   }

   public void setESCAPECHARACTER(String value) {
      this.escapecharacter = value;
   }

   public String getSKIPROWS() {
      return this.skiprows;
   }

   public void setSKIPROWS(String value) {
      this.skiprows = value;
   }

   public String getCODEPAGE() {
      return this.codepage;
   }

   public void setCODEPAGE(String value) {
      this.codepage = value;
   }
}
